### Function

# Json from_string

#### Declaration [src]

    JsonNode*
    json_from_string (
      const char* str,
      GError** error
    )

#### Description [src]

Parses the given string and returns the corresponding JSON tree.

If the string is empty, this function will return `NULL`.

In case of parsing error, this function returns `NULL` and sets the error appropriately.

Available since: | 1.2

#### Parameters

`str` | `const char*`
| A valid UTF-8 string containing JSON data.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `JsonNode`
| The root node of the JSON tree.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.